#!/bin/bash
###############################################################################################
#
# optflux.sh - OptFlux version 3.2.1 for Linux
# 
# IBB-CEB - Institute for Biotechnology and  Bioengineering - Centre of Biological Engineering
# CCTC - Computer Science and Technology Center
# University of Minho
#
# Created inside the SysBio Research Group (http://sysbio.uminho.pt)
# University of Minho
#
# Copyright (c) 2014.
#
###############################################################################################


APP_NAME="Optflux"

OPTFLUX_HOME=`dirname $0`
CLASSPATH="${OPTFLUX_HOME}/lib/*:"
		
JAR_ARGS="plugins_bin"

MAIN_CLASS="optflux.launcher.MainCycle"

LOCALE="-Duser.language=en"
CHARSET="-Dfile.encoding=utf-8"
LPATH="-Djava.library.path=${OPTFLUX_HOME}/static"
JAVA="${OPTFLUX_HOME}/jre/bin/java"
XMX=-Xmx1024m

COMMAND="${JAVA} ${LOCALE} ${XMX} ${CHARSET} -cp ${CLASSPATH} ${MAIN_CLASS} ${JAR_ARGS}"
${COMMAND}